From 2f8ca3885a25ee4d59d0b537e73f5fbe7720b25d Mon Sep 17 00:00:00 2001
From: Hans Nilsson <hans@erlang.org>
Date: Tue, 21 May 2019 12:52:21 +0200
Subject: [PATCH 12/73] crypto: Re-enable aes_ctr for openssl cryptolib < 1.0.1

It was accidently disabled in the crypto:supports/0 and /1. It
worked however in the encrypt/decrypt functions.
---
 lib/crypto/c_src/cipher.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lib/crypto/c_src/cipher.c b/lib/crypto/c_src/cipher.c
index 00072af6325..0532fb75662 100644
--- a/lib/crypto/c_src/cipher.c
+++ b/lib/crypto/c_src/cipher.c
@@ -334,6 +334,7 @@ ERL_NIF_TERM cipher_types_as_list(ErlNifEnv* env)
             continue;
 
         if ((p->cipher.p != NULL) ||
+            (p->flags & AES_CTR_COMPAT) ||
             (p->type.atom == atom_aes_ige256))  /* Special handling. Bad indeed... */
             {
                 hd = enif_make_list_cell(env, p->type.atom, hd);

